## Author: M. Turhan ÇOBAN
## Created: 2021-06-19

function retval = double_to_binary (x,xmin,xmax)
# N = 64   N1=2^N-1
N=64;
N1 = 9223372036854775807;
xp=int64((x-xmin)/(xmax-xmin)*N1);
b=dec2bin(xp,N);
retval=b;
endfunction
